### Method

# AppStream Component set_keywords

#### Declaration [src]

    void
    as_component_set_keywords (
      AsComponent* cpt,
      GPtrArray* new_keywords,
      const gchar* locale,
      gboolean deep_copy
    )

#### Description [src]

Set keywords for this component, replacing all existing ones for the selected locale.

Sets property | `AppStream.Component:keywords`

#### Parameters

`new_keywords`

  Type: An array of `utf8`

  Array of keywords.

  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`locale`

  Type: `const gchar*`

  BCP47 locale of the values, or `NULL` to use current locale.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`deep_copy`

  Type: `gboolean`

  Set to `TRUE` if the keywords array should be copied, `FALSE` to set by reference.